Skip to main content
POST
/
api
/
tools
/
v1
/
follows
Follow a Govly entity
curl --request POST \
  --url https://app.govly.com/api/tools/v1/follows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "notifications": "<string>"
}
'
{
  "data": {
    "workspace": {
      "id": "<string>",
      "name": "<string>",
      "status": {
        "category": "<string>",
        "label": "<string>"
      },
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "commentsCount": 123,
      "primaryFocus": {
        "type": "opportunity",
        "id": "<string>"
      },
      "comments": [
        {
          "id": "<string>",
          "body": "<string>",
          "attachments": [
            {
              "id": "<string>",
              "workspaceId": "<string>",
              "filename": "<string>",
              "commentId": "<string>",
              "contentType": "<string>",
              "byteSize": 123,
              "createdAt": "2023-11-07T05:31:56Z",
              "file": {
                "url": "<string>",
                "expiresAt": "2023-11-07T05:31:56Z"
              }
            }
          ],
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "attachments": [
        {
          "id": "<string>",
          "workspaceId": "<string>",
          "filename": "<string>",
          "commentId": "<string>",
          "contentType": "<string>",
          "byteSize": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "file": {
            "url": "<string>",
            "expiresAt": "2023-11-07T05:31:56Z"
          }
        }
      ]
    },
    "membership": {
      "id": "<string>",
      "member": {
        "id": "<string>",
        "name": "<string>",
        "email": "jsmith@example.com",
        "organization": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "state": "<string>",
      "notifications": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  },
  "meta": {
    "entityType": "<string>",
    "entityId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required

Entity type to follow. opp is accepted as an alias for opportunity.

Available options:
opportunity,
opp
id
string
required

Govly entity ID.

notifications
string

Notification preference for this follow. Omit to use the user's default setting.

Response

Active follow on the entity's default workspace

data
object
required
meta
object